ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/properties/step-types
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/protocols/properties/step-types' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/get-unique-name
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/protocols/get-unique-name?existingProtocolName=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "uniqueName": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/verify/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/protocols/verify/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "id": 0, "name": "string", "deckPositions": [ { … } ] }